diff --git a/base/common/src/com/netscape/cms/servlet/cert/CertService.java b/base/common/src/com/netscape/cms/servlet/cert/CertService.java
index 08a6215294228d26fb9a8febfb3129670ca6bfca..365e89977c6413c7fdd74777355d9f726a3a91d7 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CertService.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CertService.java
@@ -54,19 +54,19 @@ import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.base.BadRequestException;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cms.servlet.base.UnauthorizedException;
 import com.netscape.cms.servlet.cert.model.CertDataInfo;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
 import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
 import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.processors.Processor;
 import com.netscape.cms.servlet.request.model.CertRequestDAO;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
-import com.netscape.cms.servlet.request.model.CertRetrievalRequestData;
+import com.netscape.cms.servlet.request.model.CertRetrievalRequest;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 import com.netscape.cmsutil.util.Utils;
 
@@ -93,22 +93,22 @@ public class CertService extends PKIService implements CertResource {
     }
 
     @Override
-    public CertificateData getCert(CertId id) {
+    public CertData getCert(CertId id) {
         validateRequest(id);
 
-        CertRetrievalRequestData data = new CertRetrievalRequestData();
+        CertRetrievalRequest data = new CertRetrievalRequest();
         data.setCertId(id);
 
-        CertificateData certData = null;
+        CertData certData = null;
 
         try {
             certData = getCert(data);
         } catch (EDBRecordNotFoundException e) {
             throw new CertNotFoundException(id);
         } catch (EBaseException e) {
-            throw new CMSException("Problem returning certificate: " + id);
+            throw new PKIException("Problem returning certificate: " + id);
         } catch (CertificateEncodingException e) {
-            throw new CMSException("Problem encoding certificate searched for: " + id);
+            throw new PKIException("Problem encoding certificate searched for: " + id);
         }
 
         return certData;
@@ -152,7 +152,7 @@ public class CertService extends PKIService implements CertResource {
             processor.setAuthority(authority);
 
         } catch (EBaseException e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         try {
@@ -190,7 +190,7 @@ public class CertService extends PKIService implements CertResource {
 
             processor.auditChangeRequest(ILogger.SUCCESS);
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             processor.log(ILogger.LL_FAILURE, e.getMessage());
             processor.auditChangeRequest(ILogger.FAILURE);
             throw e;
@@ -199,13 +199,13 @@ public class CertService extends PKIService implements CertResource {
             processor.log(ILogger.LL_FAILURE, "Error " + e);
             processor.auditChangeRequest(ILogger.FAILURE);
 
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
 
         } catch (IOException e) {
             processor.log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERROR_MARKING_CERT_REVOKED_1", e.toString()));
             processor.auditChangeRequest(ILogger.FAILURE);
 
-            throw new CMSException(CMS.getLogMessage("CMSGW_ERROR_MARKING_CERT_REVOKED"));
+            throw new PKIException(CMS.getLogMessage("CMSGW_ERROR_MARKING_CERT_REVOKED"));
         }
 
         // change audit processing from "REQUEST" to "REQUEST_PROCESSED"
@@ -221,7 +221,7 @@ public class CertService extends PKIService implements CertResource {
             processor.log(ILogger.LL_FAILURE, "Error " + e);
             processor.auditChangeRequestProcessed(ILogger.FAILURE);
 
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         try {
@@ -230,7 +230,7 @@ public class CertService extends PKIService implements CertResource {
             return dao.getRequest(certRequest.getRequestId(), uriInfo);
 
         } catch (EBaseException e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -249,7 +249,7 @@ public class CertService extends PKIService implements CertResource {
             processor.setAuthority(authority);
 
         } catch (EBaseException e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         try {
@@ -262,7 +262,7 @@ public class CertService extends PKIService implements CertResource {
             processor.log(ILogger.LL_FAILURE, "Error " + e);
             processor.auditChangeRequest(ILogger.FAILURE);
 
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         // change audit processing from "REQUEST" to "REQUEST_PROCESSED"
@@ -278,7 +278,7 @@ public class CertService extends PKIService implements CertResource {
             processor.log(ILogger.LL_FAILURE, "Error " + e);
             processor.auditChangeRequestProcessed(ILogger.FAILURE);
 
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         try {
@@ -287,7 +287,7 @@ public class CertService extends PKIService implements CertResource {
             return dao.getRequest(certRequest.getRequestId(), uriInfo);
 
         } catch (EBaseException e) {
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -306,7 +306,7 @@ public class CertService extends PKIService implements CertResource {
         return filter;
     }
 
-    private String createSearchFilter(CertSearchData data) {
+    private String createSearchFilter(CertSearchRequest data) {
         if (data == null) {
             return null;
         }
@@ -325,13 +325,13 @@ public class CertService extends PKIService implements CertResource {
             infos = getCertList(filter, maxResults, maxTime);
         } catch (EBaseException e) {
             e.printStackTrace();
-            throw new CMSException("Error listing certs in CertsResourceService.listCerts!");
+            throw new PKIException("Error listing certs in CertsResourceService.listCerts!");
         }
         return infos;
     }
 
     @Override
-    public CertDataInfos searchCerts(CertSearchData data, Integer start, Integer size) {
+    public CertDataInfos searchCerts(CertSearchRequest data, Integer start, Integer size) {
         if (data == null) {
             throw new WebApplicationException(Response.Status.BAD_REQUEST);
         }
@@ -372,7 +372,7 @@ public class CertService extends PKIService implements CertResource {
                 infos.addLink(new Link("next", uri));
             }
         } catch (EBaseException e1) {
-            throw new CMSException("Error listing certs in CertsResourceService.listCerts!" + e.toString());
+            throw new PKIException("Error listing certs in CertsResourceService.listCerts!" + e.toString());
         }
 
         return infos;
@@ -412,14 +412,14 @@ public class CertService extends PKIService implements CertResource {
         return ret;
     }
 
-    public CertificateData getCert(CertRetrievalRequestData data) throws EBaseException, CertificateEncodingException {
+    public CertData getCert(CertRetrievalRequest data) throws EBaseException, CertificateEncodingException {
         CertId certId = data.getCertId();
 
         //find the cert in question
         ICertRecord record = repo.readCertificateRecord(certId.toBigInteger());
         X509CertImpl cert = record.getCertificate();
 
-        CertificateData certData = new CertificateData();
+        CertData certData = new CertData();
 
         certData.setSerialNumber(certId);
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
index 167385ea9cd8b8272b5d7950a9dd1c6f3e7700d3..f74a6bbacdd2faffbdaea498abdef578f53ac501 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
@@ -65,7 +65,7 @@ import com.netscape.certsrv.usrgrp.Certificates;
 import com.netscape.certsrv.usrgrp.ICertUserLocator;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
 import com.netscape.certsrv.usrgrp.IUser;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.CMSTemplate;
@@ -473,7 +473,7 @@ public class DoRevoke extends CMSServlet {
                         processor.addCertificateToRevoke(targetCert);
                         rarg.addStringValue("error", null);
 
-                    } catch (CMSException ex) {
+                    } catch (PKIException ex) {
                         rarg.addStringValue("error", ex.getMessage());
                     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
index 292f60457b3c7e0883d74033cb4955dd38dc2727..0f41d3e6a2472dbd49f7f984765a8ebccf076bc9 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
@@ -50,7 +50,7 @@ import com.netscape.certsrv.publish.IPublisherProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.certsrv.request.RequestStatus;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.CMSTemplate;
@@ -274,7 +274,7 @@ public class DoUnrevoke extends CMSServlet {
             processor.log(ILogger.LL_FAILURE, "Error " + e);
             processor.auditChangeRequest(ILogger.FAILURE);
 
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
 
         // change audit processing from "REQUEST" to "REQUEST_PROCESSED"
diff --git a/base/common/src/com/netscape/cms/servlet/cert/EnrollmentProcessor.java b/base/common/src/com/netscape/cms/servlet/cert/EnrollmentProcessor.java
index c1841051b4237083d66d511bf884ef93deab3cd0..1d8a5695a1f6ed106385cf858b5e7475a3614a8a 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/EnrollmentProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/EnrollmentProcessor.java
@@ -38,7 +38,7 @@ import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.profile.SSLClientCertProvider;
 import com.netscape.cms.servlet.profile.model.ProfileInput;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 import com.netscape.cms.servlet.request.model.CertEnrollmentRequestFactory;
 
 public class EnrollmentProcessor extends CertProcessor {
@@ -47,7 +47,7 @@ public class EnrollmentProcessor extends CertProcessor {
         super(id, locale);
     }
 
-    private void setInputsIntoContext(EnrollmentRequestData data, IProfile profile, IProfileContext ctx) {
+    private void setInputsIntoContext(CertEnrollmentRequest data, IProfile profile, IProfileContext ctx) {
         // put profile inputs into a local map
         HashMap<String, String> dataInputs = new HashMap<String, String>();
         for (ProfileInput input : data.getInputs()) {
@@ -97,7 +97,7 @@ public class EnrollmentProcessor extends CertProcessor {
             throw new BadRequestDataException(CMS.getUserMessage(locale, "CMS_PROFILE_NOT_FOUND", profileId));
         }
 
-        EnrollmentRequestData data = CertEnrollmentRequestFactory.create(cmsReq, profile, locale);
+        CertEnrollmentRequest data = CertEnrollmentRequestFactory.create(cmsReq, profile, locale);
         return processEnrollment(data, cmsReq.getHttpReq());
     }
 
@@ -118,7 +118,7 @@ public class EnrollmentProcessor extends CertProcessor {
      * @param cmsReq the object holding the request and response information
      * @exception EBaseException an error has occurred
      */
-    public HashMap<String, Object> processEnrollment(EnrollmentRequestData data, HttpServletRequest request)
+    public HashMap<String, Object> processEnrollment(CertEnrollmentRequest data, HttpServletRequest request)
             throws EBaseException {
 
         try {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/RenewalProcessor.java b/base/common/src/com/netscape/cms/servlet/cert/RenewalProcessor.java
index 3e6c77fbf3a435f0c217ff6befcec4a46a64179c..3714d9807a6d6237ff397ba32568422a6d811234 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RenewalProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RenewalProcessor.java
@@ -44,7 +44,7 @@ import com.netscape.certsrv.profile.IProfileInput;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.profile.SSLClientCertProvider;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 import com.netscape.cms.servlet.request.model.CertEnrollmentRequestFactory;
 
 public class RenewalProcessor extends CertProcessor {
@@ -61,7 +61,7 @@ public class RenewalProcessor extends CertProcessor {
             throw new BadRequestDataException(CMS.getUserMessage(locale, "CMS_PROFILE_NOT_FOUND", profileId));
         }
 
-        EnrollmentRequestData data = CertEnrollmentRequestFactory.create(cmsReq, profile, locale);
+        CertEnrollmentRequest data = CertEnrollmentRequestFactory.create(cmsReq, profile, locale);
 
         //only used in renewal
         data.setSerialNum(req.getParameter("serial_num"));
@@ -78,7 +78,7 @@ public class RenewalProcessor extends CertProcessor {
      * Things to note:
      * * the renew request will contain the original profile instead of the new
      */
-    public HashMap<String, Object> processRenewal(EnrollmentRequestData data, HttpServletRequest request)
+    public HashMap<String, Object> processRenewal(CertEnrollmentRequest data, HttpServletRequest request)
             throws EBaseException {
         try {
             if (CMS.debugOn()) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/RequestProcessor.java b/base/common/src/com/netscape/cms/servlet/cert/RequestProcessor.java
index 8822be2b2b0a2290cfd07fe6be885396f4409ab7..2b26773f6882f668ff53fa9e3aec6c2bd6a276f8 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RequestProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RequestProcessor.java
@@ -57,7 +57,7 @@ import com.netscape.cms.servlet.profile.model.ProfileAttribute;
 import com.netscape.cms.servlet.profile.model.ProfileOutput;
 import com.netscape.cms.servlet.profile.model.ProfileOutputFactory;
 import com.netscape.cms.servlet.profile.model.ProfilePolicySet;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertReviewResponseFactory;
 
 public class RequestProcessor extends CertProcessor {
@@ -66,19 +66,19 @@ public class RequestProcessor extends CertProcessor {
         super(id, locale);
     }
 
-    public AgentEnrollmentRequestData processRequest(CMSRequest cmsReq, IRequest request, String op) throws EBaseException {
+    public CertReviewResponse processRequest(CMSRequest cmsReq, IRequest request, String op) throws EBaseException {
         HttpServletRequest req = cmsReq.getHttpReq();
         IRequest ireq = cmsReq.getIRequest();
 
         String profileId = ireq.getExtDataInString("profileId");
         IProfile profile = ps.getProfile(profileId);
-        AgentEnrollmentRequestData data = CertReviewResponseFactory.create(cmsReq, profile, nonces, locale);
+        CertReviewResponse data = CertReviewResponseFactory.create(cmsReq, profile, nonces, locale);
 
         processRequest(req, data, request, op);
         return data;
     }
 
-    public void processRequest(HttpServletRequest request, AgentEnrollmentRequestData data, IRequest req, String op)
+    public void processRequest(HttpServletRequest request, CertReviewResponse data, IRequest req, String op)
             throws EBaseException {
         try {
             startTiming("approval");
@@ -355,7 +355,7 @@ public class RequestProcessor extends CertProcessor {
      * @exception EProfileException an error related to this profile has
      *                occurred
      */
-    private void approveRequest(IRequest req, AgentEnrollmentRequestData data, IProfile profile, Locale locale)
+    private void approveRequest(IRequest req, CertReviewResponse data, IProfile profile, Locale locale)
             throws EProfileException {
         String auditMessage = null;
         String auditSubjectID = auditSubjectID();
@@ -404,7 +404,7 @@ public class RequestProcessor extends CertProcessor {
         }
     }
 
-    private void updateValues(AgentEnrollmentRequestData data, IRequest req,
+    private void updateValues(CertReviewResponse data, IRequest req,
             IProfile profile, Locale locale)
             throws ERejectException, EDeferException, EPropertyException {
 
@@ -443,7 +443,7 @@ public class RequestProcessor extends CertProcessor {
 
     }
 
-    private void updateNotes(AgentEnrollmentRequestData data, IRequest req) {
+    private void updateNotes(CertReviewResponse data, IRequest req) {
         String notes = data.getRequestNotes();
 
         if (notes != null) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertificateData.java b/base/common/src/com/netscape/cms/servlet/cert/model/CertData.java
similarity index 93%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertificateData.java
rename to base/common/src/com/netscape/cms/servlet/cert/model/CertData.java
index bfdb894cb199c238b00a45cd26a84f8d5b448bc3..50fcf81da0fadcce8eb51af6dc611a317316b134 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertificateData.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/model/CertData.java
@@ -38,17 +38,17 @@ import com.netscape.certsrv.dbs.certdb.CertIdAdapter;
  * @author alee
  *
  */
-@XmlRootElement(name = "CertificateData")
-public class CertificateData {
+@XmlRootElement(name = "CertData")
+public class CertData {
 
     public static Marshaller marshaller;
     public static Unmarshaller unmarshaller;
 
     static {
         try {
-            marshaller = JAXBContext.newInstance(CertificateData.class).createMarshaller();
+            marshaller = JAXBContext.newInstance(CertData.class).createMarshaller();
             marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
-            unmarshaller = JAXBContext.newInstance(CertificateData.class).createUnmarshaller();
+            unmarshaller = JAXBContext.newInstance(CertData.class).createUnmarshaller();
         } catch (Exception e) {
             e.printStackTrace();
         }
@@ -181,7 +181,7 @@ public class CertificateData {
             return false;
         if (getClass() != obj.getClass())
             return false;
-        CertificateData other = (CertificateData) obj;
+        CertData other = (CertData) obj;
         if (encoded == null) {
             if (other.encoded != null)
                 return false;
@@ -241,9 +241,9 @@ public class CertificateData {
         }
     }
 
-    public static CertificateData valueOf(String string) throws Exception {
+    public static CertData valueOf(String string) throws Exception {
         try {
-            return (CertificateData)unmarshaller.unmarshal(new StringReader(string));
+            return (CertData)unmarshaller.unmarshal(new StringReader(string));
         } catch (Exception e) {
             return null;
         }
@@ -268,7 +268,7 @@ public class CertificateData {
         out.println("bFBr+Gwk2VF2wJvOhTXU2hN8sfkkd9clzIXuL8WCDhWk1bY=");
         out.println("-----END CERTIFICATE-----");
 
-        CertificateData before = new CertificateData();
+        CertData before = new CertData();
         before.setSerialNumber(new CertId("12512514865863765114"));
         before.setIssuerDN("CN=Test User,UID=testuser,O=EXAMPLE-COM");
         before.setSubjectDN("CN=Test User,UID=testuser,O=EXAMPLE-COM");
@@ -277,7 +277,7 @@ public class CertificateData {
         String string = before.toString();
         System.out.println(string);
 
-        CertificateData after = CertificateData.valueOf(string);
+        CertData after = CertData.valueOf(string);
         System.out.println(before.equals(after));
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchData.java b/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertSearchData.java
rename to base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java
index 44092ac16bb874b7fba20cd7dfb8d96f617daac2..54b9ad8e68c058c8dd3145d02a930236006fdf41 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchData.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java
@@ -40,9 +40,9 @@ import com.netscape.cmsutil.ldap.LDAPUtil;
  * @author jmagne
  *
  */
-@XmlRootElement(name = "CertSearchData")
+@XmlRootElement(name = "CertSearchRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class CertSearchData {
+public class CertSearchRequest {
 
     private final static String MATCH_EXACTLY = "exact";
     //Serial Number
@@ -537,7 +537,7 @@ public class CertSearchData {
         this.certTypeSSLServer = SSLServer;
     }
 
-    public CertSearchData() {
+    public CertSearchRequest() {
         // required for JAXB (defaults)
     }
 
@@ -548,7 +548,7 @@ public class CertSearchData {
         }
     }
 
-    public CertSearchData(MultivaluedMap<String, String> form) {
+    public CertSearchRequest(MultivaluedMap<String, String> form) {
     }
 
     public String buildFilter() {
@@ -854,9 +854,9 @@ public class CertSearchData {
         this.searchFilter = searchFilter;
     }
 
-    public static CertSearchData valueOf(Reader reader) throws JAXBException {
-        JAXBContext context = JAXBContext.newInstance(CertSearchData.class);
+    public static CertSearchRequest valueOf(Reader reader) throws JAXBException {
+        JAXBContext context = JAXBContext.newInstance(CertSearchRequest.class);
         Unmarshaller unmarshaller = context.createUnmarshaller();
-        return (CertSearchData) unmarshaller.unmarshal(reader);
+        return (CertSearchRequest) unmarshaller.unmarshal(reader);
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/PKIErrorInterceptor.java b/base/common/src/com/netscape/cms/servlet/csadmin/PKIErrorInterceptor.java
index 166c02eb949610b373fe6ded294474eca2054e1b..795c0fda3350e357ab73aa4447e85e31e4fa7865 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/PKIErrorInterceptor.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/PKIErrorInterceptor.java
@@ -23,7 +23,7 @@ import javax.ws.rs.core.MultivaluedMap;
 import org.jboss.resteasy.client.ClientResponse;
 import org.jboss.resteasy.client.core.ClientErrorInterceptor;
 
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 
 public class PKIErrorInterceptor implements ClientErrorInterceptor {
 
@@ -41,15 +41,15 @@ public class PKIErrorInterceptor implements ClientErrorInterceptor {
         if (contentType == null || !contentType.startsWith(MediaType.APPLICATION_XML))
             return;
 
-        CMSException exception;
+        PKIException exception;
 
         try {
             // Requires RESTEasy 2.3.2
             // https://issues.jboss.org/browse/RESTEASY-652
-            CMSException.Data data = response.getEntity(CMSException.Data.class);
+            PKIException.Data data = response.getEntity(PKIException.Data.class);
 
             Class<?> clazz = Class.forName(data.className);
-            exception = (CMSException) clazz.getConstructor(CMSException.Data.class).newInstance(data);
+            exception = (PKIException) clazz.getConstructor(PKIException.Data.class).newInstance(data);
 
         } catch (Exception e) {
             e.printStackTrace();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigClient.java b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigClient.java
index 6167b0521678dfb56fa00577d21218e3c5c8453d..11815a65bbccbfbe6e8f4e38d4d82b16b0c5f297 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigClient.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigClient.java
@@ -20,8 +20,8 @@ package com.netscape.cms.servlet.csadmin;
 import java.net.URISyntaxException;
 
 import com.netscape.cms.client.cli.ClientConfig;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationData;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponseData;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
 import com.netscape.cms.servlet.csadmin.model.InstallToken;
 import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
 
@@ -32,15 +32,15 @@ import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
  */
 public class SystemConfigClient extends PKIClient {
 
-    private SystemConfigurationResource configClient;
+    private SystemConfigResource configClient;
 
     public SystemConfigClient(ClientConfig config) throws URISyntaxException {
         super(config);
 
-        configClient = createProxy(SystemConfigurationResource.class);
+        configClient = createProxy(SystemConfigResource.class);
     }
 
-    public ConfigurationResponseData configure(ConfigurationData data) {
+    public ConfigurationResponse configure(ConfigurationRequest data) {
         return configClient.configure(data);
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigurationResource.java b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java
similarity index 88%
rename from base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigurationResource.java
rename to base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java
index 2918842c9d06aba62dec5dc0383720ee36f383d8..9cb6791e3381715c95607c801ce505ca123cda4e 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigurationResource.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigResource.java
@@ -25,8 +25,8 @@ import javax.ws.rs.Produces;
 import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
-import com.netscape.cms.servlet.csadmin.model.ConfigurationData;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponseData;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
 import com.netscape.cms.servlet.csadmin.model.DomainInfo;
 import com.netscape.cms.servlet.csadmin.model.InstallToken;
 import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
@@ -35,19 +35,19 @@ import com.netscape.cms.servlet.csadmin.model.InstallTokenRequest;
  * @author alee
  */
 @Path("installer")
-public interface SystemConfigurationResource {
+public interface SystemConfigResource {
 
     @POST
     @Path("configure")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_FORM_URLENCODED })
-    public ConfigurationResponseData configure(MultivaluedMap<String, String> form);
+    public ConfigurationResponse configure(MultivaluedMap<String, String> form);
 
     @POST
     @Path("configure")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public ConfigurationResponseData configure(ConfigurationData data);
+    public ConfigurationResponse configure(ConfigurationRequest data);
 
     @POST
     @Path("installToken")
